Name:           perl-Module-Manifest
Version:        1.08
Release:        5%{?dist}
Summary:        Parse and examine a Perl distribution MANIFEST file
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Module-Manifest/
Source0:        http://www.cpan.org/authors/id/A/AD/ADAMK/Module-Manifest-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.005
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Params::Util) >= 0.10
BuildRequires:  perl(Test::CPAN::Meta)
BuildRequires:  perl(Test::Exception) >= 0.26
# Test::MinimumVersion not available in EPEL-4/5
%if 0%{?fedora} || 0%{?rhel} > 5
BuildRequires:  perl(Test::MinimumVersion)
%endif
BuildRequires:  perl(Test::More) >= 0.42
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Warn) >= 0.11
Requires:       perl(File::Spec) >= 0.80
Requires:       perl(Params::Util) >= 0.10
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Module::Manifest is a simple utility module created originally for use in
Module::Inspector.

%prep
%setup -q -n Module-Manifest-%{version}

# Avoid doc-file dependencies by removing exec bits from sample script
chmod -c -x examples/difference.pl

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} \; 2>/dev/null
%{_fixperms} $RPM_BUILD_ROOT

%check
make test
make test AUTOMATED_TESTING=1 TEST_FILES="xt/*.t"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README examples
%{perl_vendorlib}/Module/
%{_mandir}/man3/Module::Manifest.3pm*

%changelog
* Mon Aug  8 2011 Paul Howarth <paul@city-fan.org> - 1.08-5
- Fix sample script permissions in %%prep rather than %%install
- Drop Test::Exception version requirement to 0.26 for EPEL-4/5 compatibility
  (test suite still passes)
- Don't use macros for commands
- Make %%files list more explicit
- BR: perl(Test::CPAN::Meta), perl(Test::MinimumVersion) and perl(Test::Pod),
  and run the release tests too

* Wed Jul 20 2011 Petr Sabata <contyk@redhat.com> - 1.08-4
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.08-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 20 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.08-2
- Rebuild to fix problems with vendorarch/lib (#661697)

* Thu Sep 16 2010 Petr Pisar <ppisar@redhat.com> - 1.08-1
- 1.08 bump

* Mon May 03 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.07-2
- Mass rebuild with perl-5.12.0

* Tue Apr 20 2010 Petr Pisar <ppisar@redhat.com> - 0.07-1
- Version bump
- New Test::Exception and Test::Warn BuildRequires
- Explicit perl-File-Spec >= 0.80 run-time dependency version
- Add examples

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.03-4
- Rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Sep 24 2008 Marcela Mašláňová <mmaslano@redhat.com> 0.03-1
- Specfile autogenerated by cpanspec 1.77
